package com.gic.haoban.manage.api.dto.qdto.licence;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author jx
 * @since 2023-03-09
 */
public class AppOrderQDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 订单类型 0 新购、1 扩容、2 续期
     */
    private Integer orderType;
    /**
     * 购买人数
     */
    private Integer userNum;
    /**
     * 购买时长
     */
    private Integer duration;
    /**
     * 购买生效期的开始时间
     */
    private Date beginTime;
    /**
     * 购买生效期的结束时间
     */
    private Date endTime;
    /**
     * wx企业Id
     */
    private String wxEnterpriseId;
    /**
     * 创建人
     */
    private String creatorId;
    /**
     * 创建人名称
     */
    private String creatorName;

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getUserNum() {
        return userNum;
    }

    public void setUserNum(Integer userNum) {
        this.userNum = userNum;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }
}
